/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QPiecewiseLinearCurvesArrangement
 * 2007-05-20
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * 
 *****************************************************************************/

# ifndef QPIECEWISELINEARCURVESARRANGEMENT_H
# define QPIECEWISELINEARCURVESARRANGEMENT_H

# include <QArrangement/QArrangement.h>

# include <QAxel/QCurve.h>

using namespace QAxel ;

class MainWindow;

namespace QArrangement {

/****************************************************************************/
/*!
  \class QPiecewiseLinearCurvesArrangement QPiecewiseLinearCurvesArrangement.h
  \brief The class QPiecewiseLinearCurvesArrangement provides ...
*/
/****************************************************************************/
class QPiecewiseLinearCurvesArrangement : public QArrangement
{
    Q_OBJECT
	
public:
    QPiecewiseLinearCurvesArrangement(MainWindow * mainwindow) ;
    
protected:
    bool regular(Object_t * o, Node_t * n) ;
    QList<Cell_t *> subdivide(Object_t * o, Node_t * n) ;
    QList<Region_t *> topology(Object_t * o, Node_t * n) ;
} ;

} ; // namespace QArrangement ;

# endif // QPIECEWISELINEARCURVESARRANGEMENT
