########################################################
# Q A x e l Source List
# Julien Wintz
# Inria Sophia-Antipolis
########################################################

HEADERS += \
 QAxel/ObjectManager.h \
 QAxel/PluginManager.h \
 QAxel/QArrow.h \
 QAxel/QAxelObject.h \
 QAxel/QAxelTool.h \
 QAxel/QBSplineCurve.h \
 QAxel/QBSplineSurface.h \
 QAxel/QBoundingBox.h \
 QAxel/QBoundingSphere.h \
 QAxel/QConstraint.h \
 QAxel/QConstraintAngle.h \
 QAxel/QConstraintDistance.h \
 QAxel/QConstraintIncidence.h \
 QAxel/QCube.h \
 QAxel/QCurve.h \
 QAxel/QCurveMesh.h \
 QAxel/QCylinder.h \
 QAxel/QDisplayList.h \
 QAxel/QEdge.h \
 QAxel/QFace.h \
 QAxel/QImplicitCurve.h \
 QAxel/QImplicitCurve2D.h \
 QAxel/QImplicitCurve3D.h \
 QAxel/QImplicitCurve4D.h \
 QAxel/QImplicitSurface.h \
 QAxel/QInitializablePluginInterface.h \
 QAxel/QMaterial.h \
 QAxel/QMesh.h \
 QAxel/QMeshFactory.h \
 QAxel/QNurbsCurve.h \
 QAxel/QNurbsSurface.h \
 QAxel/QParametricCurve.h \
 QAxel/QParametricSurface.h \
 QAxel/QPiecewiseLinearCurve.h \
 QAxel/QPiecewiseLinearSurface.h \
 QAxel/QPlane.h \
 QAxel/QPluginInterface.h \
 QAxel/QPoint3f.h \
 QAxel/QPoint4f.h \
 QAxel/QPointSet.h \
 QAxel/QRationalCurve.h \
 QAxel/QRationalSurface.h \
 QAxel/QShape.h \
 QAxel/QSingularity.h \
 QAxel/QSphere.h \
 QAxel/QSurface.h \
 QAxel/QSurfaceMesh.h \
 QAxel/QVertex.h \
 QAxel/QVertexArray.h \
 QAxel/QVolumeMesh.h \
 QAxel/ToolManager.h

SOURCES += \
 QAxel/ObjectManager.cpp \
 QAxel/PluginManager.cpp \
 QAxel/QArrow.cpp \
 QAxel/QAxelObject.cpp \
 QAxel/QAxelTool.cpp \
 QAxel/QBSplineCurve.cpp \
 QAxel/QBSplineSurface.cpp \
 QAxel/QBoundingBox.cpp \
 QAxel/QBoundingSphere.cpp \
 QAxel/QConstraint.cpp \
 QAxel/QConstraintAngle.cpp \
 QAxel/QConstraintDistance.cpp \
 QAxel/QConstraintIncidence.cpp \
 QAxel/QCube.cpp \
 QAxel/QCurve.cpp \
 QAxel/QCurveMesh.cpp \
 QAxel/QCylinder.cpp \
 QAxel/QDisplayList.cpp \
 QAxel/QEdge.cpp \
 QAxel/QFace.cpp \
 QAxel/QImplicitCurve.cpp \
 QAxel/QImplicitCurve2D.cpp \
 QAxel/QImplicitCurve3D.cpp \
 QAxel/QImplicitCurve4D.cpp \
 QAxel/QImplicitSurface.cpp \
 QAxel/QMaterial.cpp \
 QAxel/QMesh.cpp \
 QAxel/QMeshFactory.cpp \
 QAxel/QNurbsCurve.cpp \
 QAxel/QNurbsSurface.cpp \
 QAxel/QParametricCurve.cpp \
 QAxel/QParametricSurface.cpp \
 QAxel/QPiecewiseLinearCurve.cpp \
 QAxel/QPiecewiseLinearSurface.cpp \
 QAxel/QPlane.cpp \
 QAxel/QPoint3f.cpp \
 QAxel/QPoint4f.cpp \
 QAxel/QPointSet.cpp \
 QAxel/QRationalCurve.cpp \
 QAxel/QRationalSurface.cpp \
 QAxel/QShape.cpp \
 QAxel/QSingularity.cpp \
 QAxel/QSphere.cpp \
 QAxel/QSurface.cpp \
 QAxel/QSurfaceMesh.cpp \
 QAxel/QVertex.cpp \
 QAxel/QVertexArray.cpp \
 QAxel/QVolumeMesh.cpp \
 QAxel/ToolManager.cpp
