/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QCgalPlugin
 * 2006-05-18
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QCGALPLUGIN_H
# define QCGALPLUGIN_H

# include <QCgal/QCgalInterface.h>

namespace QAxel {
    class QPoint3f ;
    class QMesh;
} ;

namespace QData {
    class QRegion3f;
} ;

using namespace QAxel ;

class QCgalPlugin : public QObject, public QCgalInterface
{
    Q_OBJECT
    Q_INTERFACES(QCgalInterface QAxel::QPluginInterface)
	
public:
    QString name() const;
    QStringList features() const ;
    
    QMesh * mesh(QRegion3f * region) ;
} ;

#endif
