/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QConflictGraph
 * 2006-07-20
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

#include <QSet>
#include <QData/QGraph.h>

namespace QData {

/****************************************************************************/
/*!
  \class QConflictGraph QConflictGraph.h
  \brief The class QConflictGraph provides ...

  More ...
*/
/****************************************************************************/
class QConflictGraph : public QGraph
{
    Q_OBJECT
	
public:
    QConflictGraph(void) ;
    
private:
    QSet<QList<QAxelObject *> > objects ;
    QSet<QList<QRegion3f   *> > regions ;
} ;

} ;
