/*****************************************************************************
 * Axel
 *****************************************************************************
 * QCameraModeWidget
 * 2007-5-25
 * Ashish Reddy
 *****************************************************************************
 *               Copyright (C) 2006-2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QDIMENSIONMODEWIDGET_H
# define QDIMENSIONMODEWIDGET_H

# include <QWidget>

class QLabel ;
class QString ;
class QHBoxLayout ;

class QDimensionModeWidget : public QWidget
{
    Q_OBJECT

public:
    QDimensionModeWidget(QWidget * parent) ;

public slots:
    void setDimensionMode(QString mode) ;
    void setPixmap(QString pixmap) ;
    
signals:
    void dimensionModeSet(bool);

private:
    QLabel * mode ;
    QLabel * pixmap ;
    QHBoxLayout * layout ;

} ;

# endif
