########################################################
# QSynaps Project File
# Julien Wintz
# Inria Sophia-Antipolis
########################################################

TEMPLATE = lib
CONFIG  += qt plugin release warn_off
VERSION	 = 0.1
TARGET   = QSynaps
QT 	+= xml opengl

DESTDIR      = ../../plugins
UI_DIR       = .ui
MOC_DIR      = .moc
OBJECTS_DIR  = .obj

mac{
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.3
QMAKE_LFLAGS += -undefined dynamic_lookup
}

AXELPATH     = ..
SYNAPSPATH   = ../../../synaps
INCLUDEPATH += $$SYNAPSPATH/include $$AXELPATH
mac {
INCLUDEPATH += /sw/include
}

LIBS += $$SYNAPSPATH/lib/libsynaps.a
LIBS += $$SYNAPSPATH/lib/libsisl.a
mac:LIBS += -framework vecLib
mac:LIBS += /sw/lib/libgmp.a
mac:LIBS += /sw/lib/libgmpxx.a
x11:LIBS += -L/usr/local/lib -lgmpxx
x11:LIBS += -lgmp
LIBS += $$SYNAPSPATH/lib/libmps.a
mac:LIBS += /sw/lib/libf2c.a

HEADERS += QSynapsPlugin.h
SOURCES += QSynapsPlugin.cpp
