/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QParametricCurvesArrangement
 * 2007-01-12
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * 
 *****************************************************************************/

# ifndef QPARAMETRICCURVESARRANGEMENT_H
# define QPARAMETRICCURVESARRANGEMENT_H

# include <QArrangement/QArrangement.h>

# include <QAxel/QCurve.h>

using namespace QAxel ;

class MainWindow;

namespace QArrangement {

/****************************************************************************/
/*!
  \class QParametricCurvesArrangement QParametricCurvesArrangement.h
  \brief The class QParametricCurvesArrangement provides ...

  More ...
*/
/****************************************************************************/
class QParametricCurvesArrangement : public QArrangement
{
    Q_OBJECT
	
public:
    QParametricCurvesArrangement(MainWindow * mainwindow) ;
    
protected:
    bool regular(Object_t * o, Node_t * n) ;
    QList<Cell_t *> subdivide(Object_t * o, Node_t * n) ;
    QList<Region_t *> topology(Object_t * o, Node_t * n) ;
} ;

} ; // namespace QArrangement ;

# endif // QPARAMETRICCURVESARRANGEMENT
