/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QInitializablePluginInterface
 * 2007-04-06
 * Laurent Rineau
 *****************************************************************************
 *               Copyright (C) 2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef QINITIALIZABLEPLUGININTERFACE_H
# define QINITIALIZABLEPLUGININTERFACE_H

# include <QAxel/QPluginInterface.h>

# include <QGui/MainWindow.h>

namespace QAxel {

/****************************************************************************/
/*!
  \class QInitializablePluginInterface QInitializablePluginInterface.h
  \brief The class QInitializablePluginInterface provides ...

  More ...
*/
/****************************************************************************/

class QInitializablePluginInterface : public QPluginInterface
{
public :
	virtual ~QInitializablePluginInterface() {}
	virtual void init(MainWindow * window) = 0 ;
} ;

} ; // namespace QAxel

Q_DECLARE_INTERFACE(QAxel::QInitializablePluginInterface,
		    "Axel::Interfaces::InitializablePlugin/0.1")

# endif
