########################################################
# QCgal Project File
# Julien Wintz - Laurent Rineau
# Inria Sophia-Antipolis
########################################################

TEMPLATE = lib
CONFIG  += plugin warn_off release
VERSION	 = 0.1
TARGET   = QCgal
QT 	+= xml opengl

DESTDIR      = ../../plugins
UI_DIR       = .ui
MOC_DIR      = .moc
OBJECTS_DIR  = .obj

mac {
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.3
QMAKE_LFLAGS += -undefined dynamic_lookup
}

AXELPATH     = ..
CGALPATH     = ../../../cgal
INCLUDEPATH += $$CGALPATH/include $$AXELPATH

LIBS += $$CGALPATH/lib/libCGAL.a

HEADERS = QCgalPlugin.h
SOURCES = QCgalPlugin.cpp
