/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QCgalInterface
 * 2006-05-18
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 ****************************************************************************/

# ifndef QCGALINTERFACE_H
# define QCGALINTERFACE_H

# include <QObject>
# include <QStringList>

# include <QData/QRegion3f.h>

# include <QAxel/QPluginInterface.h>
# include <QAxel/QMesh.h>

using namespace QData ;
using namespace QAxel ;

class QCgalInterface : public QAxel::QPluginInterface
{
public :
	virtual ~QCgalInterface() {}
	
	virtual QMesh * mesh(QRegion3f * region) = 0 ;
} ;

Q_DECLARE_INTERFACE(QCgalInterface, "Axel::Interfaces::Cgal/0.11")

# endif
