/*****************************************************************************
 * A x e l
 *****************************************************************************
 * HistoryDock
 * 2006-10-07
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# include <QUndoView>
# include <QIcon>

# include <QGui/HistoryDock.h>

HistoryDock::HistoryDock(const QString & title, QWidget * parent) : QDockWidget(title, parent) 
{
	undoView = new QUndoView(this) ;
	undoView->setCleanIcon(QIcon(":images/16x16/edittrash.png")) ;
	setWidget(undoView);
}

QUndoView * HistoryDock::view(void) 
{
	return undoView ;
}
