/*****************************************************************************
 * A x e l
 *****************************************************************************
 * PreferencesDialog
 * 2007-01-04
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

#ifndef PREFERENCESDIALOG_H
#define PREFERENCESDIALOG_H

#include <QDialog>

class QListWidget;
class QListWidgetItem;
class QStackedWidget;
class MainWindow;

class PreferencesDialog : public QDialog
{
    Q_OBJECT

public:
    PreferencesDialog(MainWindow * parent);

public slots:
    void changePage(QListWidgetItem *current, QListWidgetItem *previous);

private:
    void createIcons();

    QListWidget *contentsWidget;
    QStackedWidget *pagesWidget;
    
private:
    MainWindow * parent ;
};

#endif
