/*****************************************************************************
 * Axel
 *****************************************************************************
 * QSelectedObjectsWidget.h
 * 2007-5-28
 * Ashish Reddy
 *****************************************************************************
 *               Copyright (C) 2006-2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QSELECTEDOBJECTSWIDGET_H
# define QSELECTEDOBJECTSWIDGET_H

# include <QWidget>

class QLabel ;
class QString ;
class QHBoxLayout ;

class QSelectedObjectsWidget : public QWidget
{

    Q_OBJECT

public :

    QSelectedObjectsWidget(QWidget * parent) ;

public slots:

    void setCount(int count) ;
    void setPixmap(QString pixmap) ;

private:
    QLabel * selectedobjects ;
    QLabel * pixmap ;
    QHBoxLayout * layout;

} ;
    

# endif //QSELECTEDOBJECTSWIDGET_H
