/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QSurfaceIntersection
 * 2007-02-24
 * Stephane Chau
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************/

# ifndef QSURFACEINTERSECTION_H
# define QSURFACEINTERSECTION_H

# include <QAxel/QCurve.h>
# include <QIntersection/QIntersection.h>

using namespace QAxel ;

namespace QIntersection {



class QSurfaceIntersection : public QIntersection
{
    Q_OBJECT
	
public:
    QSurfaceIntersection(MainWindow * mw) ;
    ~QSurfaceIntersection(void) ;
  
public slots:
    virtual void run(void) = 0 ;
	QCurve * getCurve(void) { return result ; }

protected:
    QCurve * result ;

} ;

} ; // namespace QIntersection ;

# endif // QSURFACEINTERSECTION_H
