/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QP5GloveInterface
 * 2006-12-08
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef QP5GLOVEINTERFACE_H
# define QP5GLOVEINTERFACE_H

# include <QObject>
# include <QStringList>
# include <QFile>
# include <QList>

# include <QAxel/QInitializablePluginInterface.h>

class QP5GloveInterface : public QAxel::QInitializablePluginInterface
{
public :
    virtual ~QP5GloveInterface() {}
	
    virtual void drawIRs(void) = 0 ;
    virtual void end(void) = 0 ;
} ;

Q_DECLARE_INTERFACE(QP5GloveInterface, "Axel::Interfaces::P5Glove/0.11")

# endif
